Subject: RE: [nemo] Extensions to NEMOv4 base for the Charter.

From: "Tsirtsis, George" <[email-masked]>
Date: Tue, 16 May 2006 08:22:34 -0700

> -----Original Message-----
> From: Thierry Ernst [mailto:[email-masked]]
> Sent: Tuesday, May 16, 2006 10:57 AM
> To: [email-masked]
> Subject: Re: [nemo] Extensions to NEMOv4 base for the Charter.
> 
> 
> I'm not sure we **agree** (as a WG) on IPv4-only work; actually the
> debate was open with mixed positions on both IPv4-only tasks accepted
vs
> IPv4-only tasks not accepted, 

GT> So, "mixed positions" to you means that it should be rejected?
People need to realize that the IETF does a lot of things, and even
inside a single WG most of the work that is done is irrelevant to most
people. This is not a valid argument for rejecting that work. All of us
focus on the subset of items that are of interest to either our day to
day work or to our geeky curiosity. 

> with a 3rd possibility that IPv4-IPv6
> transition mechanisms would suffice to do what is the most needed.
>

GT> I am sorry but this will just not do. In the real world you can not
give to the customer a solution based on technology that the customer
has no way of testing. The idea that operators will deploy DS-MIPv6 MRs
to support NEMOv4 functionality while they have not yet migrated to IPv6
is entirely unrealistic. 

> Also, someone pointed that we should better complete the current work
> and decide for a re-chartering a bit later in the year. I agree with
> this suggestion, and we could discuss the rechartering a bit further
> during next or next-next IETF meeting.
> 
> So, my proposition would be to postpone the new charter.
> 

GT> I disagree. I have followed this discussion for the last several
weeks and the WG has been spending its time debating what it will do in
the future while there has been minimal debate on anything else. A
handful of us will get the NEMOv4 and its required extensions done in
minimal time with minimal effect on the WG. I just fail to understand
why you want to prevent willing WG members from doing work that is
clearly needed.

George

> Thierry.
> 
> On Tue, 16 May 2006 07:40:58 -0700
> "Tsirtsis, George" <[email-masked]> wrote:
> 
> > TJ,
> >
> > Since you agree IPv4-only work should be allowed, could you add a
> > sentence to indicate that the WG will work on FA support and dynamic
> > prefix allocation extensions to the NEMOv4 base solution? I will be
> > submitting a draft about these issues before the next meeting.
> >
> > Thanks
> > George
> >
> > > -----Original Message-----
> > > From: T.J. Kniveton [mailto:[email-masked]]
> > > Sent: Monday, May 15, 2006 1:05 PM
> > > To: Thierry Ernst
> > > Cc: [email-masked]
> > > Subject: Re: [nemo] Extensions to NEMOv4 base for the Charter.
> > >
> > >
> > > On May 4, 2006, at 7:16 AM, Thierry Ernst wrote:
> > >
> > > > I have a subtle understanding of what the message should be, and
it
> > is
> > > > valid in all organizations: been clear, not confusing, and well
> > > > documented. We cannot develop IPv4 and IPv6 protocols in the
same
> > > > group
> > > > (unless, as I said, we are working on interoperability issues).
> > >
> > > I would like to add one comment to this discussion. It seems
> > > appropriate to make a solution for IPv4-only networks, which
> > > thankfully is now underway. At some point it may make sense to
form a
> > > separate working group for IPv4-only issues, but it's probably a
bit
> > > too early to do that until the work is more mature, and the
industry
> > > interest level and engineering participation within the IETF can
be
> > > gauged.
> > >
> > > For IPv4-IPv6 mixed networks, it makes sense to me that we
continue
> > > to work on that issue here in this group (and in the Mobile IPv6
> > > working group).
> > >
> > > I understand some people have no interest in working on IPv4-only
> > > protocols, and likewise some people in NEMO probably have little
or
> > > no interest in IPv6-only protocols. But in a mixed network, we
should
> > > have something to say about how NEMO will work. After all, that
> > > scenario is a growth industry.
> > >
> > > TJ
> > >
> >
> >
> >
> 
> 
> --
> Thierry ERNST, PhD
> INRIA Rocquencourt Projet IMARA
> +33 1 39 63 59 30
>

---

From: Vijay Devarapalli <[email-masked]>
Date: Tue, 16 May 2006 11:29:00 -0700

> to support NEMOv4 functionality while they have not yet migrated to IPv6

hmm.. we had an extensive discussion on this on the MIPv4
mailing list. I strongly disagree with all of the above.
DS-MIPv6 does not require the operator to upgrade the
access network to IPv6. only the clients and the home
agent are involved.

> why you want to prevent willing WG members from doing work that is

the new proposed charter has too many items already for
NEMOv6. many folks want to work on this. you should
recognized that. I didn't see enough support for adding
NEMOv4-only items to the charter.

Vijay